Bug 1141245 - Remove usage of python-urlgrabber
Summary: Remove usage of python-urlgrabber
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pykickstart
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 985310
TreeView+ depends on / blocked
 
Reported: 2014-09-12 14:09 UTC by Tomas Radej
Modified: 2015-02-17 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:29:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Radej 2014-09-12 14:09:30 UTC
Hi, pykickstart is using python-urlgrabber, which is to be dropped for Fedora 22. Please consider using urllib, PyCurl or a similar solution instead. Thank you.

Comment 1 Chris Lumens 2014-10-02 19:31:27 UTC
Just to put it on the permanent record here, in http://www.redhat.com/archives/kickstart-list/2014-September/msg00003.html there was an offer for a patch to remove python-urlgrabber.  I'll happily review and apply any patches along these lines.  I've got no particular attachment to that module.

Comment 2 Chris Lumens 2015-02-17 15:29:02 UTC
Merged - thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.